apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'

apply plugin: 'kotlin-android-extensions' //扩展插件
static def releaseTime() {
    return new Date().format("yyyyMMddHHmmss", TimeZone.getTimeZone("GMT+8"))
}

def name = "Effect"
def version = "_" + releaseTime() + "_v"
android {
    compileSdkVersion 30
    buildToolsVersion "30.0.3"

    defaultConfig {
        applicationId "com.bestv.app"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        ndk {
            abiFilters "armeabi", 'arm64-v8a'
        }
        manifestPlaceholders = [
                JPUSH_PKGNAME : applicationId,
                JPUSH_APPKEY : "ecffb33772bcb5b0a447c70b", //JPush 上注册的包名对应的 Appkey.
                JPUSH_CHANNEL : "developer-default", //暂时填写默认值即可.
//            MEIZU_APPKEY : "MZ-魅族的APPKEY",
//            MEIZU_APPID : "MZ-魅族的APPID",
//            XIAOMI_APPID : "MI-小米的APPID",
//            XIAOMI_APPKEY : "MI-小米的APPKEY",
//            OPPO_APPKEY : "OP-oppo的APPKEY",
//            OPPO_APPID : "OP-oppo的APPID",
//            OPPO_APPSECRET : "OP-oppo的APPSECRET",
//            VIVO_APPKEY : "vivo的APPKEY",
//            VIVO_APPID : "vivo的APPID"
        ]
    }
    signingConfigs {
        release {
            storeFile file("effect.jks")
            storePassword "xunao123"
            keyAlias "xuantu"
            keyPassword "xunao123"
            v1SigningEnabled true
            v2SigningEnabled true
        }

        debug {
//            storeFile file("effect.jks")
//            storePassword "xunao123"
//            keyAlias "xuantu"
//            keyPassword "xunao123"
            storeFile file("bestvedu.jks")
            storePassword "bestv001!"
            keyAlias "bestvedu"
            keyPassword "bestv001!"
//            v1SigningEnabled true
//            v2SigningEnabled true
        }
    }
    buildTypes {
        debug {
            minifyEnabled false
            signingConfig signingConfigs.debug
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
//        android.applicationVariants.all { variant ->
//            variant.outputs.all {
//                outputFileName = "${name}${version}${defaultConfig.versionCode}.apk"
//            }
//        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
            assets.srcDir "assets"
        }
    }
    buildFeatures {
        viewBinding true
    }

//    splits {
//        abi {
//            enable true
//            reset()
//            include 'x86', 'x86_64', 'armeabi-v7a', 'armeabi'
//            universalApk false
//        }
//    }

//    packagingOptions {
//        pickFirst 'lib/armeabi-v7a/libnms.so'
//    }

}
repositories {
    flatDir {
        dirs 'libs'
    }
}



dependencies {
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'androidx.navigation:navigation-fragment:2.3.5'
    implementation 'androidx.navigation:navigation-ui:2.3.5'
    implementation files('libs\\oraleval-android-sdk.jar')
    implementation(name: 'source', ext: 'aar')
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.3.0'
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation 'androidx.core:core-ktx:1.3.1'
    implementation 'com.github.xuexiangjys:XUI:1.1.6'
    implementation 'com.github.huburt-Hu:NewbieGuide:v2.4.0'
    implementation 'com.qmuiteam:qmui:2.0.0-alpha10'
    implementation 'com.airbnb.android:lottie:5.2.0'
    implementation 'com.github.JadeKkang:like_view:v1.0'
    //极光推送
    implementation 'cn.jiguang.sdk:jcore:3.3.0'  // 此处以JCore 3.3.0 版本为例。
    implementation 'cn.jiguang.sdk:jpush:4.7.2'  // 此处以JPush 4.7.2 版本为例

    //友盟
    implementation  'com.umeng.umsdk:common:9.5.2'// (必选)
    implementation  'com.umeng.umsdk:asms:1.6.3'// 必选
    implementation  'com.umeng.umsdk:abtest:1.0.1'//使用U-App中ABTest能力，可选
    implementation 'com.umeng.umsdk:apm:1.7.0'// U-APM产品包依赖(必选)
    implementation  'com.umeng.umsdk:uverify:2.5.6'// 必选
    implementation  'com.umeng.umsdk:uverify-main:2.1.4'// 必选
    implementation  'com.umeng.umsdk:uverify-logger:2.1.4'// 必选
    implementation  'com.umeng.umsdk:uverify-crashshield:2.1.4'// 必选

    implementation 'com.google.code.gson:gson:2.8.5'

//    //========ijkplaer Java部分依赖
//    implementation 'tv.danmaku.ijk.media:ijkplayer-java:0.8.8'
//    //google ExoPlayer播放的扩展，一般无需添加
//    //implementation 'tv.danmaku.ijk.media:ijkplayer-exo:0.8.8'
//
//    //========ijkplaer Native部分依赖(根据运行CPU的平台选择)
//    //使用真机测试 添加以下依赖
//    implementation 'tv.danmaku.ijk.media:ijkplayer-armv7a:0.8.8'

    //GSXY播放器
//    implementation 'com.github.CarGuo.GSYVideoPlayer:GSYVideoPlayer:v8.3.4-release-jitpack'
    //是否需要AliPlayer模式
//    implementation 'com.github.CarGuo.GSYVideoPlayer:GSYVideoPlayer-aliplay:v8.3.4-release-jitpack'

    //完整版引入
    implementation 'com.shuyu:GSYVideoPlayer:8.1.2'
    implementation 'com.blankj:utilcodex:1.31.0'
    implementation 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.3'
}